﻿(function () {

    "use strict";

    angular.module("EnrApp")
           .factory("sortDataService", ["$rootScope", "$filter", function ($rootScope, $filter) {

               // Service Interface
               var serviceInterface = {
                   sortCandiatesByParty: sortCandiatesByParty,
                   getOrdrerNumber: getOrdrerNumber
               }

               function sortCandiatesByParty(data, orderbyCode, votes, name) {                   
                   return $filter('orderBy')(data, ['-votes', orderbyCode, name]);
               }

              

               function getOrdrerNumber(partyCode) {
                   var order = 99;

                   if (partyCode == "D")
                       order = 1;                   
                   else if (partyCode == "L")
                       order = 2;
                   else if (partyCode == "R")
                       order = 3;
                   else 
                       order = 4;

                   return order;
               }

               return serviceInterface;
           }]);

}());